Employee Type
The employee type resource.
Base/employeeType
GET
/employeeTypeList employee types
Retrieve a paginated list of employee types. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/employeeType
curl --request GET \
--url '<your-host>/employeeType?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"protected": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"systemType": "string"
}
]GET
/employeeTypeRetrieve a employee type
Fetch a single employee type by filtering on `id`.
Query parameters
idstringMatch on the employee type's `id`, e.g. `eq.{id}`.
GET/employeeType
curl --request GET \
--url '<your-host>/employeeType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"protected": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"systemType": "string"
}POST
/employeeTypeCreate a employee type
Create a new employee type.
Body parameters
namestringrequiredcompanyIdstringrequiredReferences company.id
protectedbooleanrequiredsystemTypeemployeeTypeSystemTypePOST/employeeType
curl --request POST \
--url <your-host>/employeeType \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","companyId":"xyz789","protected":true}'Response
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"protected": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"systemType": "string"
}PATCH
/employeeTypeUpdate a employee type
Update an existing employee type, matched on `id`.
Body parameters
namestringrequiredcompanyIdstringrequiredReferences company.id
protectedbooleanrequiredsystemTypeemployeeTypeSystemTypePATCH/employeeType
curl --request PATCH \
--url '<your-host>/employeeType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"protected": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"systemType": "string"
}DELETE
/employeeTypeDelete a employee type
Delete a employee type, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the employee type to delete, e.g. `eq.{id}`.
DELETE/employeeType
curl --request DELETE \
--url '<your-host>/employeeType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content